
# Class: PIMDefinition

## Hierarchy

* **PIMDefinition**

## Index

### Constructors

* [constructor](pimdefinition.md#constructor)

### Properties

* [applyEmptyValues](pimdefinition.md#optional-applyemptyvalues)
* [emptyValuesText](pimdefinition.md#optional-emptyvaluestext)
* [id](pimdefinition.md#id)
* [subType](pimdefinition.md#subtype)
* [title](pimdefinition.md#title)
* [type](pimdefinition.md#type)
* [values](pimdefinition.md#values)

## Constructors

###  constructor

\+ **new PIMDefinition**(`params`: [IOptionSelectorConfig](../interfaces/ioptionselectorconfig.md)): *[PIMDefinition](pimdefinition.md)*

**Parameters:**

Name | Type |
------ | ------ |
`params` | [IOptionSelectorConfig](../interfaces/ioptionselectorconfig.md) |

**Returns:** *[PIMDefinition](pimdefinition.md)*

## Properties

### `Optional` applyEmptyValues

• **applyEmptyValues**? : *boolean*

___

### `Optional` emptyValuesText

• **emptyValuesText**? : *string*

___

###  id

• **id**: *number*

___

###  subType

• **subType**: *string*

___

###  title

• **title**: *string*

___

###  type

• **type**: *string*

___

###  values

• **values**: *any[]*
